summary refs log tree commit diff
path: root/css.sh
diff options
context:
space:
mode:
Diffstat (limited to 'css.sh')
-rw-r--r--css.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/css.sh b/css.sh
new file mode 100644
index 0000000..80f28d1
--- /dev/null
+++ b/css.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+set -eu
+
+cat <<EOF
+#define CSS(...) #__VA_ARGS__
+static const char CSS[] = CSS(
+EOF
+cat "$@"
+echo ');'